# Retrieve all entity definitions

Lists all entity definitions.

Endpoint: GET /api/entitydefinitions
Version: v1.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Query parameters:

  - `skip` (integer)
    Number of definitions to skip before retrieving results, for example, `1`.

  - `take` (integer)
    Number of definitions to retrieve, for example, `10`. The maximum is 100.

  - `filter` (string)
    Additional filters to apply when retrieving definitions. Use `PropertyName==value` for property-based filtering (for example, `IsSystemOwned==true`), or a free-text value to search in definition names and labels (for example, `asset`).

  - `definitionsToLoad` (string)
    (Deprecated) Definition names to include in the retrieved definitions. Use definitionsToLoadByName instead.

  - `definitionsToLoadByName` (string)
    Definition names to include in the retrieved definitions, for example, `M.Asset, M.Project.Task`.

  - `definitionsToLoadById` (string)
    Definition IDs to include in the retrieved definitions, for example, `10`, `20`.

  - `viewMode` (string)
    The level of detail to include in the returned entity definitions. Use `Basic` or `Extended`.

  - `loadPermissions` (boolean)
    Whether to include all permissions the user has on the entity definition, for example, `true` or `false`.

  - `includeConditionalMembers` (boolean)
    Whether to include conditional members in the result, for example, `true` or `false`.

  - `excludeTaxonomyDefinitions` (boolean)
    Whether to exclude taxonomy definitions from the result, for example, `true` or `false`.

  - `excludeSystemOwnedDefinitions` (boolean)
    Whether to exclude system-owned definitions from the result, for example, `true` or `false`.

  - `excludeLightDefinitions` (string)
    Whether to exclude light entity definitions from the result, for example, `true` or `false`.
            Light entity definitions contain only basic information.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `self` (object)
    Represents a link to a resource.

  - `self.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.title` (string)
    Gets or sets the title that describes this link.

  - `self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

## Response 400:

  - `400` (unknown)
    Request or entity definition is not valid (for example, less than or equal to zero or does not exist), or at least one culture is null

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 404:

  - `404` (unknown)
    Entity not found or user not authorized

